#include <qgroupbox.h>
//#include <qcombobox.h>
//#include <qspinbox.h>
#include <qcheckbox.h>
#include "ip_frame.hh"


class AddressBox : public QGroupBox
{
  Q_OBJECT;
public:
  AddressBox (QWidget* parent);

  //  QComboBox* device_role;
  IpFrame* ip;
  IpFrame* netmask_bits;
  IpFrame* gw;
  IpFrame* nameserver;
  //QSpinBox* netmask_bits;

  //  QLabel* device_role_label;
  QLabel* ip_label;
  QLabel* netmask_bits_label;
  //QLabel* gw_label;
  QCheckBox* gw_check;
  //QLabel* nameserver_label;
  QCheckBox* nameserver_check;

  void NewConfig (network_config::AddressSubsection* subsection);

public slots:

  void GatewayEnabled (bool state);
  void NameserverEnabled (bool state);

private:
  network_config::AddressSubsection* config;
  network_config::NetmaskLine* nml;
};
